{% extends "base.html.twig" %}


{% block main %}
    
    {% for message in app.flashes('success')  %}

    {% if message %}
        
        <script>
            $( document ).ready(function() {
            $('#myModal').modal('toggle')
            
        });
        </script>
    
        
          {% endif %}
          <div class="modal fade" id="myModal" role="dialog">
            <div class="modal-dialog modal-dialog-centered">
            
              <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" style="color:orange; font-weight:bolder">SOLICITUD DE DEMO</h4>
                </div>
                <div class="modal-body">
                        <strong class="text-success">{{ message }}</strong>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal" style="color:orange; font-weight:bolder">X</button>
                </div>
              </div>
              
            </div>
          </div>
          {% endfor %}

    <main>
        <div class="jumbo">
            <div class="wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="jumbo__ww-title">
                                <div class="jumbo__w-title">
                                    <h1 class="jumbo__title heading1">
                                        Gana dinero guardando equipaje a viajeros como tu
                                    </h1>
                                    <ul class="jumbo__app-btns">
                                        <li>
                                            <a href="#">
                                                <img src="assets/img/app-store.svg"
                                                     alt=""
                                                     class="jumbo__app-btn">
                                            </a>
                                        </li>
                                        <li>
                                            <a href="">
                                                <img src="assets/img/google-play.svg"
                                                     alt=""
                                                     class="jumbo__app-btn">
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="wrapper">
            <div class="container-fluid">
                <section class="howworks">
                    <h2 class="howworks__title heading2">
                        ¿Cómo funciona?
                    </h2>
                    <ol class="howworks__steps row">
                        <li class="col-md-4">
                            <div class="howworks__step">
                                <div class="howworks__step-w-bola">
                                    <div class="howworks__step-bola">
                                        <span class="heading3">1</span>
                                    </div>
                                </div>
                                <div class="howworks__step-w-txt">
                                    <p class="howworks__step-title heading3">
                                        Date de alta
                                    </p>
                                    <p class="howworks__step-txt">
                                        Una olla de algo más vaca que carnero, salpicón las más noches, duelos y quebrantos los sábados.
                                    </p>
                                </div>
                            </div>
                        </li>
                        <li class="col-md-4">
                            <div class="howworks__step">
                                <div class="howworks__step-w-bola">
                                    <div class="howworks__step-bola">
                                        <span class="heading3">1</span>
                                    </div>
                                </div>
                                <div class="howworks__step-w-txt">
                                    <p class="howworks__step-title heading3">
                                        Date de alta
                                    </p>
                                    <p class="howworks__step-txt">
                                        Una olla de algo más vaca que carnero, salpicón las más noches, duelos y quebrantos los sábados.
                                    </p>
                                </div>
                            </div>
                        </li>
                        <li class="col-md-4">
                            <div class="howworks__step">
                                <div class="howworks__step-w-bola">
                                    <div class="howworks__step-bola">
                                        <span class="heading3">1</span>
                                    </div>
                                </div>
                                <div class="howworks__step-w-txt">
                                    <p class="howworks__step-title heading3">
                                        Date de alta
                                    </p>
                                    <p class="howworks__step-txt">
                                        Una olla de algo más vaca que carnero, salpicón las más noches, duelos y quebrantos los sábados.
                                    </p>
                                </div>
                            </div>
                        </li>
                    </ol>
                </section>

                <section class="app-form">
                    <div class="row">
                        <div class="col-md-5">
                            <div class="app-form__w-app-img">
                                <img src="assets/img/iPhoneX.png"
                                     srcset="assets/img/iPhoneX@2x.png 2x, assets/img/iPhoneX.png 1x"
                                     alt=""
                                     class="app-form__app-img">
                            </div>
                        </div>
                        <div class="col-md-5 col-md-offset-1">
                            <div class="the-form">
                                {{ form_start(demoForm, {action:path('checkForm')}) }}
                                    <p class="the-form__title heading3">
                                        Solicita una demo
                                    </p>

                                    <div class="the-form__group">
                                        
                                        {{ form_row(demoForm.name, {'attr': {'class': 'the-form__input'}}) }}
                                    </div>

                                    <div class="the-form__group">
                                        
                                        {{ form_row(demoForm.email, {'attr': {'class': 'the-form__input'}}) }}
                                    </div>

                                    <div class="the-form__group">
            
                                        {{ form_row(demoForm.ciudad, {'attr': {'class': 'the-form__input the-form__select'}}) }}
                                    
                                    </div>

                                    <div class="the-form__group the-form__group_checkbox">
                                        
                                        <label for="privacity">
                                            {{ form_row(demoForm.policy, {'attr': {'class': 'the-form__group the-form__group_checkbox'}})}}
                                        </label>
                                      
                                    </div>

                                    {{ form_row(demoForm.enviar, {'attr': {'class': 'the-form__btn btn btn-lg btn-primary'}}) }}

                                {{ form_end(demoForm) }}
    
    
    
    
    


                            </div>
                        </div>
                    </div>
                </section>

                <section class="opinions">
                    <h2 class="opinions__title heading2">
                        Opiniones de otros guardianes
                    </h2>
                    <ul class="row">
                        {% for index, item in newOpinion %}
                            
                        {% if index < 3 %}
                            
                       
                        <li class="col-md-4">
                            <div class="opinion">
                                <blockquote class="opinion__blq simple-bubble text-large">
                                    {{ item.message }}
                                </blockquote>
                                <p class="opinion__author text-large">
                                    {{ item.name }}
                                </p>
                                <p class="opinion__author-address">
                                    {{ item.city }}
                                </p>
                            </div>
                        </li>
                        {% endif %}
                        {% endfor %}
                    </ul>
                </section>

                <div class="form-opinion row g-3" style="margin-left: 330px; margin-bottom:40px">
                    <p class="the-form__title heading3">
                        Enviar una opinión
                    </p>
                    {{ form_start(opinionForm, {action:path('sendOpinion')}) }}
                        <div class="col-8 mb-3 d-flex">
                            <div class="name-col">
                            {{ form_row(opinionForm.name, {'attr': {'class': 'form-control'}}) }}
                        </div>
                        <div class="city-col " style="margin-left: 30px;">
                            {{ form_row(opinionForm.city, {'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                        <div class="col-8 mb-3">
                            {{ form_row(opinionForm.message, {'attr': {'class': 'form-control'}}) }}
                        </div>
                        {{ form_row(opinionForm.enviar, {'attr': {'class': 'the-form__btn btn btn-lg btn-primary'}}) }}
                      
                </div>
            </div>
        </div>

    </main>
    
{% endblock %}